# AdSense Management API . adclients

## Instance Methods

List all ad clients in this AdSense account.

Retrieves the next page of results.

### Method Details

`list(pageToken=None, maxResults=None)`

    List all ad clients in this AdSense account.

    Args:
      pageToken: string, A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of ad clients to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through ad clients. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The ad clients returned in this list response.
          {
            "productCode": "A String", # This ad client's product code, which corresponds to the PRODUCT_CODE report dimension.
            "kind": "adsense#adClient", # Kind of resource this is, in this case adsense#adClient.
            "id": "A String", # Unique identifier of this ad client.
            "arcOptIn": True or False, # Whether this ad client is opted in to ARC.
            "supportsReporting": True or False, # Whether this ad client supports being reported on.
          },
        ],
        "kind": "adsense#adClients", # Kind of list this is, in this case adsense#adClients.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.